## org.apache.tools.ant.taskdefs.optional.perforce
Interface P4OutputHandler

    public interface P4OutputHandler

Interface for p4 job output stream handler. Classes implementing this interface can be called back by P4Base.execP4Command();

Method Summary
`void` `process(java.lang.String line)` implementations will be able to process lines of output from Perforce

Method Detail

### process

    void process(java.lang.String line)
                 throws BuildException

  implementations will be able to process lines of output from Perforce

  Parameters:
    `line` - a line of stdout or stderr coming from Perforce
  Throws:
    `BuildException` - implementations are allowed to throw BuildException